Package org.eclipse.jgit.errors

## Class PackInvalidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.PackInvalidException

All Implemented Interfaces:
  `Serializable`

    public class PackInvalidException
    extends IOException

Thrown when a PackFile previously failed and is known to be unusable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PackInvalidException​(File path)` Construct a pack invalid error.
`PackInvalidException​(String path)` Construct a pack invalid error.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PackInvalidException

    public PackInvalidException​(File path)

Construct a pack invalid error.

Parameters:
  `path` - path of the invalid pack file.

#### PackInvalidException

    public PackInvalidException​(String path)

Construct a pack invalid error.

Parameters:
  `path` - path of the invalid pack file.